using UnityEngine;
using System.Collections;

public class PlayerController : MonoBehaviour 
{
	public int weaponState = 1;
	public float speed = 10.0f;
	public int specialCounter = 0;
	//public GameObject[] gunPlacements = new GameObject[2];
	//public GameObject currentWeapon = null;
	public GameObject projectile = null;
	public GameObject superProjectile = null;
	public AudioClip shootSound01 = null;
	public AudioClip shootSound02 = null;
	public GameObject shieldPowerup = null;
	public GameObject lazerPowerup = null;
	// Use this for initialization
	void Start () 
	{

	}
	
	// Update is called once per frame
	void Update () 
	{
		ActionController();
	}
	
	void ActionController()
	{
		if(Input.GetKeyDown(KeyCode.Space))
		{
			if(weaponState == 1)
			{
				AudioSource.PlayClipAtPoint(shootSound01, transform.position);
				Instantiate(projectile, gameObject.transform.position, Quaternion.identity);
			}
			if(weaponState == 2)
			{
				AudioSource.PlayClipAtPoint(shootSound02, transform.position);
				Instantiate(superProjectile, gameObject.transform.position, Quaternion.identity);
				specialCounter++;
			}
			if(specialCounter == 3)
			{
				specialCounter = 0;
				weaponState = 1;
			}
			
			/*foreach (GameObject gunPlacement in gunPlacements)
			 * {
			 *	Instantiate(currentWeapon, gunPlacement.transform.position, Quaternion.identity);
			 * }
			 * 
			 * */
			
		}
		if(Input.GetKey(KeyCode.UpArrow) && gameObject.transform.position.y <= 2.5f)
		{
			transform.Translate(Vector3.up * Time.deltaTime * speed);
		}
		if(Input.GetKey(KeyCode.DownArrow) && gameObject.transform.position.y >= -2.3f)
		{
			transform.Translate(Vector3.down * Time.deltaTime * speed);
		}
		if(Input.GetKey(KeyCode.LeftArrow) && gameObject.transform.position.x >= -4.5f)
		{
			transform.Translate(Vector3.left * Time.deltaTime * speed);
		}
		if(Input.GetKey(KeyCode.RightArrow) && gameObject.transform.position.x <= 4.48f)
		{
			transform.Translate(Vector3.right * Time.deltaTime * speed);
		}
	}
	
	void OnTriggerEnter(Collider other)
	{
		if(other.gameObject.tag == "enemyProjectile")
		{
			if(gameManager.shield > 0)
			gameManager.shield -= 10;
			else if(gameManager.shield <= 0)
			gameManager.health -= 10;
		}
			if(other.gameObject.tag == "powerUp")
		{
			Instantiate(lazerPowerup, gameObject.transform.position, Quaternion.identity);
			specialCounter = 0;
			weaponState = 2;
		}
			if(other.gameObject.tag == "shieldPU")
		{
			Instantiate(shieldPowerup, gameObject.transform.position, Quaternion.identity);
		}
	}
	
}


