using UnityEngine;
using System.Collections;

public class Projectile : MonoBehaviour 
{
	public float speed = 20.0f;
	public float timer = 0.0f;
	public float dieAfter = 1.0f; //Kill the projectile after x seconds
	// Use this for initialization
	void Start () 
	{
	
	}
	
	// Update is called once per frame
	void Update () 
	{
		timer += Time.deltaTime; //Collect garbage projectiles and destroy them after a given time
		if(timer >= dieAfter)
		{
			Destroy(gameObject);
		}
		
		transform.Translate(Vector3.up * Time.deltaTime * speed);
	}
	
	void OnTriggerEnter(Collider other)
	{
		if(other.gameObject.tag == "enemy")
		{
			Destroy(gameObject, 0.01f);
		}
	}
	

}
