using UnityEngine;
using System.Collections;

public class SpawnController : MonoBehaviour 
{
	public float timer = 0.0f;
	public float powerupTimer = 0.0f;
	public float powerupSpawnRate = 21.0f;
	public float spawnRate = 5.0f;
	public Vector3 spawnLocation = Vector3.zero;
	public GameObject[] enemy = new GameObject[2];
	public GameObject[] powerup = new GameObject[2];
	public int enemyType = 0;
	public int PUType = 0;
	// Use this for initialization
	void Start () 
	{
		spawnLocation.x = 0.0f;
		spawnLocation.z = 4.784287f;
		spawnLocation.y = 4.0f;
		Random.seed = (int)System.DateTime.UtcNow.ToBinary();	
	}
	
	// Update is called once per frame
	void Update () 
	{
		powerupTimer += Time.deltaTime;
		timer += Time.deltaTime;
		if(timer >= spawnRate)
		{
			spawnLocation.x = Random.Range(-4.5f, 4.48f);
			timer = 0.0f;
			enemyType = Random.Range(0, 2);
			Instantiate(enemy[enemyType], spawnLocation, Quaternion.identity);
			if(spawnRate > 0.5f)
			{
				spawnRate -= gameManager.difficulty;
			}
			if(spawnRate <= 0.5f)
			{
				spawnRate = 3.0f;
			}
		}
		if(powerupTimer >= powerupSpawnRate)
		{
			PUType = Random.Range(0, 2);
			spawnLocation.x = Random.Range(-4.5f, 4.48f);
			powerupTimer = 0.0f;
			Instantiate(powerup[PUType], spawnLocation, Quaternion.identity);
		}
		
	}
}


