using UnityEngine;
using System.Collections;

public class shieldPowerup : MonoBehaviour 
{
	public float fallSpeed = 0.005f;
	public float timer = 0.0f;
	public float dieAfter = 10.0f;
	public AudioClip gotPowerupSound = null;
	// Use this for initialization
	void Start () 
	{

	}
	
	// Update is called once per frame
	void Update () 
	{
		transform.Rotate(Vector3.right * Time.deltaTime * fallSpeed);
		timer += Time.deltaTime; //Collect garbage projectiles and destroy them after a given time
		if(timer >= dieAfter)
		{
			Destroy(gameObject);
		}
	}
		
	void OnTriggerEnter(Collider other)
	{
		if(other.gameObject.tag == "Player")
		{
			if(gameManager.shield >= 90)
				gameManager.shield = 100;
			if(gameManager.shield < 90)
				gameManager.shield += 10;
			gameManager.score += 150;
			AudioSource.PlayClipAtPoint(gotPowerupSound, transform.position);
			Destroy(gameObject);
		}
	}
}
