using UnityEngine;
using System.Collections;

public class superProjectile : MonoBehaviour 
{
	public float speed = 10.0f;
	public float resizeSpeed = 20.0f;
	public float timer = 0.0f;
	Vector3 resize = new Vector3(0.1227462f,0.1227462f,0.1227462f);
	TrailRenderer trail;
	public float dieAfter = 1.0f; //Kill the projectile after x seconds
	// Use this for initialization
	void Start () 
	{
		trail = gameObject.GetComponent<TrailRenderer>();
	}
	
	// Update is called once per frame
	void Update () 
	{
		timer += Time.deltaTime; //Collect garbage projectiles and destroy them after a given time
		if(timer >= dieAfter)
		{
			Destroy(gameObject);
		}
		
		transform.Translate(Vector3.up * Time.deltaTime * speed);
		gameObject.transform.localScale = resize;
		trail.startWidth = 5.0f;
	}
	
	void OnTriggerEnter(Collider other)
	{
		if(other.gameObject.tag == "enemy")
		{
			Destroy(gameObject, 5.0f);
		}
	}
	

}
